package example;

import java.util.Hashtable;

import javax.management.MBeanServerConnection;
import javax.management.ObjectName;
import javax.management.remote.JMXConnector;
import javax.management.remote.JMXConnectorFactory;
import javax.management.remote.JMXServiceURL;
public class JMXExample 
{     
	public static void main(String[] args) throws Exception 
	{        
		//Get a connection to the JBoss AS MBean server on localhost        
		String host = "localhost";        
		int port = 10029;  
		// management-native port        
		String urlString =            
				System.getProperty("jmx.service.url","service:jmx:remoting-jmx://" + host + ":" + port);        
		JMXServiceURL serviceURL = new JMXServiceURL(urlString);        
		JMXConnector jmxConnector = JMXConnectorFactory.connect(serviceURL, null);       
		MBeanServerConnection connection = jmxConnector.getMBeanServerConnection();         
		Hashtable<String,String> table = new Hashtable<String,String>();
		table.put("subsystem", "messaging");
		table.put("hornetq-server", "default");
                ObjectName name = ObjectName.getInstance("jboss.as", table);
                Boolean started = (Boolean) connection.getAttribute(name, "started");
		System.out.println( started );
		jmxConnector.close();    
	}
}